select
    an.numero
    , an.nome
    , (case when
        (((select count(*)
            from
                reproducao rep
            where
                rep.cdanimal = an.cdanimal and rep.cdtiporeproducao = 7)+ coalesce (an.numpartoentrada,0))>0)
        then 'Vaca' else 'Novilha' end) as Tipo_Animal
    , an.dtnascimento as data_nascimento
    , an.dtaptidao as data_aptidao
    , (case when par.data is not null then pa.data else ia.data end) as primeira_concepcao
    , tr.descricao as Tipo_Tentativa
    , ((case when par.data is not null then pa.data else ia.data end) - an.dtaptidao) as intervalo_entre_aptidao_concepcao
from
    animal an
    left join reproducao dp on dp.cdreproducao =
        (select first 1 re.cdreproducao from reproducao re where re.cdtiporeproducao = 4 and re.diagnostico = 'P' and an.cdanimal = re.cdanimal order by re.data desc)
    left join reproducao par on par.cdreproducao =
        (select first 1 re.cdreproducao from reproducao re where re.cdtiporeproducao = 7 and an.cdanimal = re.cdanimal order by re.data)
    left join reproducao ia on ia.cdreproducao =
        (select first 1 re.cdreproducao from reproducao re where re.cdtiporeproducao in (1,2,3) and re.cdanimal = dp.cdanimal and re.data < dp.data order by re.data desc)
    left join reproducao pa on pa.cdreproducao =
        (select first 1 re.cdreproducao from reproducao re where re.cdtiporeproducao in (1,2,3) and re.cdanimal = dp.cdanimal and re.data < par.data order by re.data desc)
    join tiporeproducao tr on ia.cdtiporeproducao = tr.cdtiporeproducao
where
    an.sexo = 'F'
    and an.dtaptidao is not null
    and an.dtbaixa is not null
    and an.animalrebanho = '1'
---ALTERE AQUI O PERODO DE APTIDO, CONFORME DESEJADO. MANTENHA A DATA NO FORMATO 'AAAA-MM-DD'.
    and an.dtaptidao between '2017-01-01' and '2017-12-31'
order by
    an.numordenado




